Bug Hunting Session
Bug 112501 - Pivot table: popupbuttons are placed on wrong cells imported from XLS
Summary: Pivot table: popupbuttons are placed on wrong cells imported from XLS
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Tamás Zolnai
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-19 20:58 UTC by Tamás Zolnai
Modified: 2017-09-25 13:35 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Pivot table using different modes (27.50 KB, application/vnd.ms-excel)
2017-09-19 21:00 UTC, Tamás Zolnai
Details
Screenshot showing the actual result (74.06 KB, image/png)
2017-09-19 21:01 UTC, Tamás Zolnai
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tamás Zolnai 2017-09-19 20:58:52 UTC
Description:
In MSO Excel there are more layout mode for pivot tables. In the attached test document the first pivot table has compact mode, which mode is not supported by LO Calc. This bug report is not about adding support for this mode, but at least avoid to add dummy popup buttons to wrong places.

Steps to Reproduce:
1. Open attached document in LO
2. Check first pivot table popup buttons
3. Two buttons are placed to wrong place (see screenshot)

Actual Results:  
Popupbuttons are placed to wrong cells after import (it is solved by refresh).

Expected Results:
Popupbuttons should placed to the same cells where MSO displays them.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36
Comment 1 Tamás Zolnai 2017-09-19 21:00:50 UTC
Created attachment 136380 [details]
Pivot table using different modes
Comment 2 Tamás Zolnai 2017-09-19 21:01:31 UTC
Created attachment 136381 [details]
Screenshot showing the actual result
Comment 3 Commit Notification 2017-09-21 19:21:57 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0098bee792c3e208ea4f6ef1c676958d3f4cd207

tdf#112501: Pivot table: popupbuttons are placed on wrong cells

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.